Bug 1291572 - [abrt] xorg-x11-server-Xorg: dixGetPrivateAddr(): Xorg killed by SIGABRT
[abrt] xorg-x11-server-Xorg: dixGetPrivateAddr(): Xorg killed by SIGABRT
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: xorg-x11-server (Show other bugs)
23
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: X/OpenGL Maintenance List
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:281bafde23c90669fa216c1105d...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-12-15 03:18 EST by Herman Grootaers
Modified: 2016-12-20 12:02 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-12-20 12:02:49 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (12.78 KB, text/plain)
2015-12-15 03:18 EST, Herman Grootaers
no flags Details
File: cgroup (224 bytes, text/plain)
2015-12-15 03:18 EST, Herman Grootaers
no flags Details
File: core_backtrace (5.28 KB, text/plain)
2015-12-15 03:18 EST, Herman Grootaers
no flags Details
File: dso_list (6.53 KB, text/plain)
2015-12-15 03:18 EST, Herman Grootaers
no flags Details
File: environ (101 bytes, text/plain)
2015-12-15 03:18 EST, Herman Grootaers
no flags Details
File: limits (1.29 KB, text/plain)
2015-12-15 03:19 EST, Herman Grootaers
no flags Details
File: maps (30.82 KB, text/plain)
2015-12-15 03:19 EST, Herman Grootaers
no flags Details
File: mountinfo (3.27 KB, text/plain)
2015-12-15 03:19 EST, Herman Grootaers
no flags Details
File: namespaces (85 bytes, text/plain)
2015-12-15 03:19 EST, Herman Grootaers
no flags Details
File: open_fds (974 bytes, text/plain)
2015-12-15 03:19 EST, Herman Grootaers
no flags Details
File: proc_pid_status (981 bytes, text/plain)
2015-12-15 03:19 EST, Herman Grootaers
no flags Details
File: var_log_messages (303 bytes, text/plain)
2015-12-15 03:19 EST, Herman Grootaers
no flags Details

  None (edit)
Description Herman Grootaers 2015-12-15 03:18:50 EST
Description of problem:


Version-Release number of selected component:
xorg-x11-server-Xorg-1.18.0-2.fc23

Additional info:
reporter:       libreport-2.6.3
backtrace_rating: 4
cmdline:        /usr/libexec/Xorg -nolisten tcp -auth /var/run/sddm/{90e5f1d1-23f9-4368-ba76-87391caa1e19} -background none -noreset -displayfd 17 vt1
crash_function: dixGetPrivateAddr
executable:     /usr/libexec/Xorg
global_pid:     3324
kernel:         4.2.6-301.fc23.x86_64
runlevel:       N 5
type:           CCpp
uid:            0

Truncated backtrace:
Thread no. 1 (10 frames)
 #4 dixGetPrivateAddr at ../include/privates.h:122
 #6 dixGetPrivate at ../include/privates.h:137
 #7 exaDestroyPixmap_mixed at exa_mixed.c:249
 #8 damageDestroyPixmap at damage.c:1474
 #9 XvDestroyPixmap at xvmain.c:369
 #10 FreePicture at picture.c:1436
 #11 miDCSwitchScreenCursor at midispcur.c:131
 #12 miDCUnrealizeCursor at midispcur.c:282
 #13 FreeCursor at cursor.c:122
 #14 xf86_cursors_fini at xf86Cursors.c:715

Potential duplicate: bug 1288176
Comment 1 Herman Grootaers 2015-12-15 03:18:54 EST
Created attachment 1105912 [details]
File: backtrace
Comment 2 Herman Grootaers 2015-12-15 03:18:55 EST
Created attachment 1105913 [details]
File: cgroup
Comment 3 Herman Grootaers 2015-12-15 03:18:56 EST
Created attachment 1105914 [details]
File: core_backtrace
Comment 4 Herman Grootaers 2015-12-15 03:18:58 EST
Created attachment 1105915 [details]
File: dso_list
Comment 5 Herman Grootaers 2015-12-15 03:18:59 EST
Created attachment 1105916 [details]
File: environ
Comment 6 Herman Grootaers 2015-12-15 03:19:00 EST
Created attachment 1105917 [details]
File: limits
Comment 7 Herman Grootaers 2015-12-15 03:19:02 EST
Created attachment 1105918 [details]
File: maps
Comment 8 Herman Grootaers 2015-12-15 03:19:03 EST
Created attachment 1105919 [details]
File: mountinfo
Comment 9 Herman Grootaers 2015-12-15 03:19:05 EST
Created attachment 1105920 [details]
File: namespaces
Comment 10 Herman Grootaers 2015-12-15 03:19:06 EST
Created attachment 1105921 [details]
File: open_fds
Comment 11 Herman Grootaers 2015-12-15 03:19:08 EST
Created attachment 1105922 [details]
File: proc_pid_status
Comment 12 Herman Grootaers 2015-12-15 03:19:09 EST
Created attachment 1105923 [details]
File: var_log_messages
Comment 13 Chris Murphy 2016-02-19 20:23:05 EST
Similar problem has been detected:

First login OK, crash notification appeared after 2nd login (all same boot).

reporter:       libreport-2.6.4
backtrace_rating: 4
cmdline:        /usr/libexec/Xorg vt2 -displayfd 3 -auth /run/user/1000/gdm/Xauthority -nolisten tcp -background none -noreset -keeptty -verbose 3
crash_function: dixGetPrivateAddr
executable:     /usr/libexec/Xorg
journald_cursor: s=c890ec2309a84d248698012cc7613a61;i=22853;b=0140cabb15714616a54ae2e86a2e24a6;m=2a90f3fb;t=52c295375811e;x=1c048e5758199aa8
kernel:         4.5.0-0.rc4.git0.1.fc24.x86_64
package:        xorg-x11-server-Xorg-1.18.0-2.fc23
reason:         Xorg killed by signal 6
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000
Comment 14 Fedora End Of Life 2016-11-24 09:15:02 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 15 Fedora End Of Life 2016-12-20 12:02:49 EST
Fedora 23 changed to end-of-life (EOL) status on 2016-12-20. Fedora 23 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.